%{?nodejs_find_provides_and_requires}

%global packagename handle-thing
%global enable_tests 1

Name:		nodejs-handle-thing
Version:	1.2.5
Release:	2%{?dist}
Summary:	Wrap Streams2 instance into a HandleWrap

License:	MIT
URL:		https://github.com/indutny/handle-thing
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(readable-stream)
BuildRequires:	npm(stream-pair)
%endif

%description
Wrap Streams2 instance into a HandleWrap


%prep
%autosetup -n package

sed -e '0,/^## LICENSE/d' README.md > LICENSE

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Sep 24 2017 Jared Smith <jsmith@fedoraproject.org> - 1.2.5-1
- Initial packaging
